%define subrel 1

Summary:	The default X11 session manager of LXDE
Name:		lxsession
Version:	0.5.1
Release:	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.xz
Patch0:		lxpolkit-0.5.1-mga-i18n.patch
Patch1:		%{name}-default-apps-0.5.1-mga-i18n.patch
Patch2:		lxpolkit-0.5.1-mga-disable-lxpolkit-autostart-for-other-environments.patch
Patch3:		%{name}-0.5.1-mga-lxde-only.patch
Patch4:		lxpolkit-0.5.1-mga-correct-german-translation.patch
URL:		http://www.lxde.org
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.6.0
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	xsltproc
BuildRequires:	docbook-xsl
BuildRequires:	intltool
BuildRequires:	vala
Requires:	desktop-common-data
Requires:	polkit-agent

Provides:	lxde-session-manager = %{version}
Provides:	%{name}-edit = %{version}
Obsoletes:	%{name}-edit < %{version}

%description
LXSession is lightweight session manager, and it's not tied to "any" desktop
environment. It's desktop-independent and can be used with any window manager.
With proper configuration, you can make your own desktop environment with
LXSession. This is very useful to the users and developers of non-mainstream
window managers and desktop environments.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

# to fix this bug: http://sourceforge.net/p/lxde/bugs/692
mkdir -p %{buildroot}%{_datadir}/app-install/desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/lxlock
%{_bindir}/lxpolkit
%{_bindir}/%{name}
%{_bindir}/%{name}-logout
%{_bindir}/lxclipboard
%{_bindir}/%{name}-default
%{_bindir}/%{name}-default-apps
%{_bindir}/%{name}-default-terminal
%{_bindir}/%{name}-edit
%{_bindir}/%{name}-db
%{_bindir}/%{name}-xdg-autostart
%{_bindir}/%{name}-xsettings
%{_bindir}/lxsettings-daemon
%{_datadir}/app-install/desktop
%{_datadir}/applications/%{name}-default-apps.desktop
%{_datadir}/applications/%{name}-edit.desktop
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_sysconfdir}/xdg/autostart/lxpolkit.desktop


%changelog
* Wed Dec 09 2015 ns80 <ns80> 0.5.1-6.1.mga5
+ Revision: 908970
- add colon in patch correct-german-translation (mga#17315)

* Tue May 19 2015 ns80 <ns80> 0.5.1-6.mga5
+ Revision: 822388
- Add patch correct-german-translation to fix bug mga#15949

* Thu Nov 27 2014 alexl <alexl> 0.5.1-5.mga5
+ Revision: 799597
- show lxsession-default-apps.desktop and lxsession-edit.desktop in LXDE only (mga#14635)

* Fri Nov 07 2014 alexl <alexl> 0.5.1-4.mga5
+ Revision: 796005
- really apply patches

* Thu Nov 06 2014 alexl <alexl> 0.5.1-3.mga5
+ Revision: 795964
- add patch disable-lxpolkit-autostart-for-other-environments

* Mon Oct 27 2014 alexl <alexl> 0.5.1-2.mga5
+ Revision: 793926
- fixed the use of translation for lxpolkit (mga#14372)
- fixed the use of translation for lxsession-default-apps (mga#14383)

* Wed Oct 22 2014 alexl <alexl> 0.5.1-1.mga5
+ Revision: 792524
- del deprecated fix-logind-dbus-calls.patch
- fix upstream bug #692
- update Recommends and Provides
- version 0.5.1 (mga#14237)

* Wed Oct 15 2014 umeabot <umeabot> 0.4.9.2-7.mga5
+ Revision: 741091
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.9.2-6.mga5
+ Revision: 682100
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Dec 15 2013 colin <colin> 0.4.9.2-5.mga4
+ Revision: 557076
- Nuke the lxpolkit binaries which are not run + require polkit-agent mga#11956

* Tue Nov 05 2013 colin <colin> 0.4.9.2-4.mga4
+ Revision: 549605
- Fix non-working poweroff, reboot & suspend buttons mga#11158

* Sat Oct 19 2013 umeabot <umeabot> 0.4.9.2-3.mga4
+ Revision: 528591
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 tv <tv> 0.4.9.2-2.mga4
+ Revision: 446228
- fix upgrade

* Mon Jun 24 2013 fwang <fwang> 0.4.9.2-1.mga4
+ Revision: 446164
- update file list
- br vala
- new verion 0.4.9.2

  + malo <malo>
    - fix description (MrsB)

* Sat Jan 12 2013 umeabot <umeabot> 0.4.6.1-5.mga3
+ Revision: 359199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 0.4.6.1-4.mga3
+ Revision: 333955
- add systemd-logind support (mga#8073)
- drop old provides/obsoletes
- clean .spec

* Mon Jan 16 2012 obgr_seneca <obgr_seneca> 0.4.6.1-3.mga2
+ Revision: 196919
- added lxsession-edit as suggest

  + shlomif <shlomif>
    - Upgrade to 0.4.6.1

  + tv <tv>
    - fix file list
    - new release

* Fri Feb 04 2011 ahmad <ahmad> 0.4.5-1.mga1
+ Revision: 46927
- imported package lxsession


* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2011.0
+ Revision: 598571
- update to new version 0.4.5

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 531752
- new upstream release 0.4.4

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 525018
- new upstream release 0.4.3

* Mon Mar 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.2-2mdv2010.1
+ Revision: 516567
- New upstream release 0.4.2
- Clean spec

* Tue Jan 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.1-2mdv2010.1
+ Revision: 496500
- Obsolete lxde-settings-daemon as it's been merged in
  lxsession upstream some time ago

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 476259
- new version 0.4.1

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 475337
- new version 0.4.0

* Tue May 26 2009 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2010.0
+ Revision: 379765
- BR intltool
- New version 0.3.8

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-3mdv2009.0
+ Revision: 268131
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2-2mdv2009.0
+ Revision: 217330
- conflicts with lxsession-lite
- provides lxde-session-manager

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 200889
- session files will go lxde-common
- adopt to wmsession
- add source and spec
- Created package structure for lxsession.

